# MyKos App PHP
### Tugas Besar IF3110 - Pengembangan Aplikasi Berbasis Web
### Milestone 1 -  Monolithic PHP & Vanilla Web Application
### Kelompok 14: IF3110-2023

### Deskripsi Aplikasi Web
Aplikasi MyKos merupakan aplikasi berbasis web penyedia informasi detail dari kos berupa media foto dan video, nama, harga, alamat, kota, deskripsi dan review. Pengguna dapat melakukan pencarian, sorting berdasarkan harga dan rating kos, serta filter berdasarkan kota kos pada halaman utama. Aplikasi ini memiliki dua kategori pengguna, yakni admin dan pengguna biasa. Admin dapat menambahkan, mengubah, serta menghapus entitas dan informasi terkait pemilik kos dan kos yang dimiliki seluruh entitas pemilik. Pengguna biasa dapat melihat informasi detail kos dan pemiliknya serta dapat menambahkan kos ke dalam wishlist. Pengguna biasa juga dapat menambahkan review untuk setiap kos berupa rating dan deskripsi serta dapat mengubah dan menghapus review yang telah dibuatnya.

### Daftar Requirement
Berikut merupakan daftar requirements untuk aplikasi:
1. HTML
2. CSS
3. JavaScript
4. SQL
5. PHP
6. Docker

### Cara Instalasi
Aplikasi MyKos dapat diinstalasi dengan menggunakan Docker dengan langkah-langkah sebagai berikut:
1. Install Docker pada perangkat.
2. Buka direktori aplikasi dan jalankan perintah 'docker compose up' pada terminal.
3. Akun admin dapat diakses dengan email: 'admin@gmail.com' dan password: 'password' . 

### Cara Menjalankan Server
1. Pastikan proses instalasi telah selesai dilakukan.
2. Buka browser dan masukan alamat http://localhost:8080/
3. Aplikasi MyKos berhasil dijalankan.


### Tangkapan Layar Tampilan Aplikasi
1. Halaman utama

![Halaman utama](./images/tampilan1.png)

2. Halaman login

![Halaman login](./images/tampilan2.png)

3. Halaman register

![Halaman register](./images/tampilan3.png)

4. Halaman akun

![Halaman akun](./images/tampilan4.png)

5. Halaman pemilik

![Halaman pemilik](./images/tampilan5.png)

6. Halaman membuat kos

![Halaman membuat kos](./images/tampilan6.png)

7. Halaman wishlist

![Halaman wishlist](./images/tampilan7.png)

8. Halaman detail kos

![Halaman detail kos](./images/tampilan8.png)

## Lighthouse
1. Halaman utama

![Halaman utama](./images/lighthouse1.png)

2. Halaman login

![Halaman login](./images/lighthouse2.png)

3. Halaman register

![Halaman register](./images/lighthouse3.png)

4. Halaman akun

![Halaman akun](./images/lighthouse4.png)

5. Halaman pemilik

![Halaman pemilik](./images/lighthouse5.png)

6. Halaman membuat kos

![Halaman membuat kos](./images/lighthouse6.png)

7. Halaman wishlist

![Halaman wishlist](./images/lighthouse7.png)

8. Halaman detail kos

![Halaman detail kos](./images/lighthouse8.png)


### Pembagian Tugas
Tugas dibagi berdasarkan fitur dan fungsionalitas. Setiap poin pembagian di bawah ini sudah termasuk server-side dan client-side.
Berikut adalah daftar pembagian tugas:
13521101:
* Login, register, logout
* Membuat, mengubah, dan menghapus entitas pemilik
* Membuat dan mengubah entitas kos
* Melihat daftar kos yang tersedia
* Mencari kos berdasarkan nama dan lokasi
* Mengurutkan kos berdasarkan rating dan harga
* Memfilter kos berdasarkan kota dan harga
* Setup infrastruktur

13521052:
* Menghapus kos
* Melihat detail dari setiap kos
* Membuat, mengubah, dan menghapus review
* Melihat daftar review pada setiap kos
* Mengubah informasi profil dan password akun
* Menambahkan dan menghapus kos di wishlist
* Melihat wishlist

10023164
* Mendesain User Interface


### Anggota Kelompok 14:
- 10023164 Grace Laura Febrina
- 13521052 Melvin Kent Jonathan
- 13521101 Arsa Izdihar Islam






