import psycopg2
from faker import Faker
from random import randint

conn = psycopg2.connect(
    host="localhost",
    database="mykos",
    user="postgres",
    password="postgres",
    port=5433)

cur = conn.cursor()
fake = Faker("id_ID")

owners = []
for i in range(10):
    owners.append(f"('{fake.name()}', '08{fake.msisdn()}')")
owners_str = ", ".join(owners)

cur.execute("INSERT INTO owners(name, phone_number) VALUES " + owners_str)

dorms = []
for i in range(10000):
    owner_id = randint(1, 10)
    name = fake.text(max_nb_chars=50)
    address = fake.address()
    city = fake.city()
    price = randint(10, 250) * 10000
    description = fake.paragraph(nb_sentences=2)
    dorms.append(
        f"({owner_id}, '{name}', '{address}', '{city}', {price}, '{description}')")
dorms_str = ", ".join(dorms)
cur.execute(
    "INSERT INTO dorms(owner_id, name, address, city, price, description) VALUES " + dorms_str)

medias = []
for i in range(1, 10001):
    for j in range(randint(1, 3)):
        img_id = randint(1, 8)
        endpoint = "/media/images/kos" + str(img_id) + ".jpeg"
        alt_text = fake.text(max_nb_chars=25)
        medias.append(f"({i}, 'photo', '{endpoint}', '{alt_text}')")

    if randint(0, 1):
        medias.append(
            f"({i}, 'video', '/media/videos/video.mp4', 'preview kos')")

medias_str = ", ".join(medias)
cur.execute(
    "INSERT INTO medias(dorm_id, type, endpoint, alt_text) VALUES " + medias_str)


conn.commit()
print("Success")
cur.close()
conn.close()
