<?php


namespace app\Controllers;

use app\Core\Request;
use app\Core\Response;
use app\Forms\Field;
use app\Forms\Number;
use app\Forms\Phone;
use app\Forms\Required;
use app\Forms\Validation;
use app\Models\Dorm;
use app\Models\Owners;
use app\Models\Wishlists;
use app\Utils\Toast;

class WishlistController extends Controller
{
  public function __construct()
  {
    Response::$title = "Wishlist | MyKos";
  }

  public function index()
  {
    // $form = new Validation([
    //   [new Field('name', "Nama"), [new Required()]],
    //   [new Field('phone_number', "Nomor Telepon"), [new Required(), new Phone()]]
    // ]);
    // if (Request::getMethod() === "POST") {
    //   if ($form->validate(Request::getBody())) {
    //     $owner = Owners::toModel($form->data);
    //     $owner->save();
    //     Toast::success("Penyewa berhasil ditambahkan", true);
    //     Response::redirect("/owners");
    //     return;
    //   }
    // }
    // $owners = Owners::all("owner_id ASC");
    // $this->render("owner/index", [
    //   "owners" => $owners,
    //   ...$form->getFields(),
    // ]);
    $userId = Request::getUser()->user_id;

    $wishlists = Wishlists::where(["user_id" => $userId]);
    $dormIds = array_reduce(
      $wishlists,
      function ($carry, $wishlist) {
        $carry[] = $wishlist->dorm_id;
        return $carry;
      },
      []
    );
    $result = Dorm::getInIds($dormIds);
    $dorms = $result["dorms"];
    $medias = $result["medias"];

    $this->render("wishlist/index", [
      "wishlists" => $wishlists,
      "dorms" => $dorms,
      "medias" => $medias,
    ]);
  }

  public function add($params)
  {
    $userId = Request::getUser()->user_id;
    $dormId = $params["dormId"];

    if (Request::getMethod() === "GET") {
      if (empty(Wishlists::where(["dorm_id" => $dormId, "user_id" => $userId]))) {
        $wishlist = Wishlists::toModel(["dorm_id" => $dormId, "user_id" => $userId]);
        $wishlist->save();
      }
      Toast::success("Kos berhasil ditambahkan ke wishlist", true);
      Response::redirect("/dorms/{$dormId}");
    }
  }
  public function delete()
  {
    $userId = Request::getUser()->user_id;
    $form = new Validation([
      [new Field('dorm_id'), [new Number()]],
    ]);
    if ($form->validate(Request::getBody())) {
      $wishlist = Wishlists::where(["user_id" => $userId, "dorm_id" => $form->data["dorm_id"]]);
      $wishlist[0]->delete();
    }
    Toast::success("Kos berhasil dihapus dari wishlist", true);
    Response::redirect("/wishlist");
  }
}
