<?php

namespace app\Core;

use PDO;
use PDOException;

class Database
{
  public ?\PDO $pdo = null;

  public function connect()
  {
    try {
      $dsn = sprintf("pgsql:host=%s;dbname=%s", getenv("POSTGRES_HOST"), getenv("POSTGRES_DB"));
      $this->pdo = new PDO($dsn, getenv("POSTGRES_USER"), getenv("POSTGRES_PASSWORD"), [PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION, PDO::ATTR_PERSISTENT => true]);
      return $this->pdo;
    } catch (PDOException $e) {
      die($e->getMessage());
    }
  }

  public function close()
  {
    $this->pdo = null;
  }
}
