<?

namespace app\Forms;

class Validation
{
  public array $errors = [];
  public array $fields = [];
  public array $rules = [];
  public array $data = [];
  public function __construct(array $fieldsRules)
  {
    foreach ($fieldsRules as [$field, $rules]) {
      $this->data[$field->name] = null;
      $this->fields[$field->name] = $field;
      $this->rules[$field->name] = $rules;
    }
  }

  public function validate(array $data)
  {
    foreach ($this->rules as $field => $rules) {
      $this->data[$field] = $data[$field] ?? null;
      $fieldObj = $this->fields[$field];
      foreach ($rules as $rule) {
        $result = $rule->validate($fieldObj->label, $data[$field]);
        if ($result) {
          $this->errors[$field] = $result;
          break;
        }
      }
      if (!isset($data[$field])) {
        $data[$field] = null;
      }
    }
    return empty($this->errors);
  }

  public function addError(string $field, string $message)
  {
    $this->errors[$field] = $message;
  }

  public function getFields()
  {
    return [
      'fields' => $this->data,
      'errors' => $this->errors
    ];
  }
}
