@extends('layouts/base')
@@head
<link rel="stylesheet" href="/static/styles/create-dorm.css">
@@endhead
<div>
  <h1><?= isset($dormId) ? "Edit Kos" : "Tambahkan Kos" ?></h1>
  <form method="POST" novalidate class="create-form">
    <div class="input-group">
      <label for="owner_id" class="required">Pemilik</label>
      <select name="owner_id">
        <?
        foreach ($owners as $owner) : ?>
          <option value="<?= $owner->owner_id ?>" <? if ($fields["owner_id"] === $owner->owner_id) : ?> selected <? endif; ?>><?= $owner->name ?>
          </option>
        <? endforeach; ?>
      </select>
    </div>
    <div class="input-group">
      <label for="dorm_name" class="required">Nama Kos</label>
      <input name="dorm_name" autofocus placeholder="Nama Kos" value="<?= $fields["dorm_name"] ?? '' ?>" />
      <?php
      if (isset($errors) && array_key_exists('dorm_name', $errors)) {
        echo '<div class="error">' . $errors["dorm_name"] . '</div>';
      }
      ?>
    </div>
    <div class="input-group">
      <label for="address" class="required">Alamat</label>
      <input name="address" placeholder="Alamat" value="<?= $fields["address"] ?? '' ?>" />
      <?php
      if (isset($errors) && array_key_exists('address', $errors)) {
        echo '<div class="error">' . $errors["address"] . '</div>';
      }
      ?>
    </div>
    <div class="input-group">
      <label for="city" class="required">Kota</label>
      <input name="city" placeholder="Kota" value="<?= $fields["city"] ?? '' ?>" />
      <?php
      if (isset($errors) && array_key_exists('city', $errors)) {
        echo '<div class="error">' . $errors["city"] . '</div>';
      }
      ?>
    </div>
    <div class="input-group">
      <label for="price" class="required">Harga</label>
      <input name="price" type="number" min="0" placeholder="Harga" value="<?= $fields["price"] ?? '' ?>" />
      <?php
      if (isset($errors) && array_key_exists('price', $errors)) {
        echo '<div class="error">' . $errors["price"] . '</div>';
      }
      ?>
    </div>
    <div class="input-group">
      <label for="description" class="required">Deskripsi</label>
      <textarea name="description" placeholder="Deskripsi"><?= $fields["description"] ?? '' ?></textarea>
      <?php
      if (isset($errors) && array_key_exists('description', $errors)) {
        echo '<div class="error">' . $errors["description"] . '</div>';
      }
      ?>
    </div>
    <? if (isset($dormId)) : ?>
      <a href="/dorms/<?= $dormId ?>/media" class="btn btn-primary">Ubah media</a>
    <? endif; ?>
    <button class="btn btn-primary">
      <?= isset($dormId) ? "Edit" : "Tambah" ?> Kos
  </form>
</div>