@extends('layouts/base')
@@head
<link rel="stylesheet" href="/static/styles/dorm-media.css">
@@endhead
<div class="container">
  <h1 class="">Media "<?= $dorm->name ?>"</h1>
  <? if (count($medias) > 0) : ?>
  <section class="slider-wrapper">
    <button class="slide-arrow slide-arrow-prev">
      &#8249;
    </button>

    <button class="slide-arrow slide-arrow-next">
      &#8250;
    </button>


    <ul class="slides-container">
      <? foreach ($medias as $media) : ?>
      <li class="slide">
        <? if ($media->type == "video") : ?>
        <video src="<?= $media->endpoint ?>" alt="<?= $media->alt_text ?>" controls></video>
        <? else : ?>
        <img src="<?= $media->endpoint ?>" alt="<?= $media->alt_text ?>">
        <? endif; ?>

        <form method="POST">
          <button type="button" class="btn btn-danger dialog-btn action-btn delete-btn"
            data-dialog="delete-<?= $media->media_id ?>"><svg xmlns="http://www.w3.org/2000/svg" fill="none"
              viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" width="20" height="20">
              <path stroke-linecap="round" stroke-linejoin="round"
                d="M14.74 9l-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 01-2.244 2.077H8.084a2.25 2.25 0 01-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 00-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 013.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 00-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 00-7.5 0" />
            </svg>
          </button>
          <input type="hidden" name="media_id" value="<?= $media->media_id ?>" />
          <input type="hidden" name="_method" value="DELETE" />
          <div class="dialog-wrapper delete-<?= $media->media_id ?>">
            <div class="dialog-content">
              <h4 class="confirm-title">Apakah Anda yakin ingin menghapus media ini?</h4>
              <div class="confirm-action">
                <button type="button" class="btn btn-outlined dialog-btn"
                  data-dialog="delete-<?= $media->media_id ?>">Batal</button>
                <button type="submit" class="btn btn-danger">Hapus</button>
              </div>
            </div>
          </div>
        </form>
      </li>
      <?php endforeach; ?>
    </ul>
  </section>
  <? endif; ?>
  <form method="post" enctype="multipart/form-data">
    <input type="file" name="medias[]" multiple accept="image/*, video/*" />
    <button type="button" class="btn btn-primary dialog-btn" data-dialog="upload-media-dialog">Upload</button>
    <div class="dialog-wrapper upload-media-dialog">
      <div class="dialog-content">
        <h4 class="confirm-title">
          Apakah anda yakin ingin upload media?
        </h4>
        <div class="confirm-action">
          <button type="button" class="btn btn-outlined dialog-btn" data-dialog="upload-media-dialog">Batal</button>
          <button type="submit" class="btn btn-primary">Upload</button>
        </div>
      </div>
    </div>
    <input type="hidden" name="action_type" value="password" />
  </form>
</div>