@extends('layouts/base')
@@head
<link rel="stylesheet" href="/static/styles/dorm-view.css?v=<?php

                                                            use app\Models\User;

                                                            echo time(); ?>">
@@endhead
<div class="container">
  <? if (count($medias) > 0) : ?>
    <section class="slider-wrapper">
      <button class="slide-arrow slide-arrow-prev">
        &#8249;
      </button>

      <button class="slide-arrow slide-arrow-next">
        &#8250;
      </button>


      <ul class="slides-container">
        <? foreach ($medias as $media) : ?>
          <li class="slide">
            <? if ($media->type == "video") : ?>
              <video src="<?= $media->endpoint ?>" alt="<?= $media->alt_text ?>" controls></video>
            <? else : ?>
              <img src="<?= $media->endpoint ?>" alt="<?= $media->alt_text ?>">
            <? endif; ?>
          </li>
        <?php endforeach; ?>
      </ul>
    </section>
  <? endif; ?>

  <div class="info">
    <div class="info-dorm">
      <h1 class="title"><?= $dorm->name ?></h1>
      <h2 class="address"><?= $dorm->address ?></h2>
      <h3 class="city"><?= $dorm->city ?></h3>
      <h3 class="description"><?= $dorm->description ?></h3>
    </div>

    <div class="info-booking">

      <p class="price">Rp<?= number_format($dorm->price, 0, ',', '.') ?>
        <span> / bulan</span>
      </p>

      <p class="info-owner">Info Pemilik</p>
      <p><span class="person-icon">&#128100;</span>: <?= $owner->name ?></p>
      <p><span class="phone-icon">&nbsp;&#9742;</span>&nbsp;: <?= $owner->phone_number ?></p>
      <? if ($user && !$user->is_admin ?? false) : ?>
        <!-- <form id="wishlist-button" action="/WishlistController/add" method="POST">
          <input type="hidden" name="dorm_id" id="likedInput" value="<?= $dormId ?>">    
        </form>
        <button id="wishlist-button" lass="btn btn-primary btn-edit-kos">Tambahkan kos ke wishlist</button> -->
        <div class="wishlist">
          <a href="/dorms/<?= $dorm->dorm_id ?>/add-to-wishlist" id="wishlist-button" class="btn btn-primary btn-edit-kos">Tambahkan kos ke wishlist</a>
          <!-- <script>
          $(document).ready(function () {
              // Attach a click event listener to the like link
              $("#wishlist-button").click(function (event) {
                  // Send an AJAX request to the server
                  $.ajax({
                      url: "/WishlistController/add", // Specify the like action URL
                      method: "POST", // You can use POST or other HTTP methods
                  });
              });
          });
        </script> -->
        </div>
      <? endif; ?>

    </div>
  </div>

  <? if ($user->is_admin ?? false) : ?>
    <div class="edit-admin">
      <a href="/dorms/<?= $dorm->dorm_id ?>/edit" class="btn btn-primary btn-edit-kos">Edit Kos</a>
    </div>
    <form method="POST">
      <button type="button" class="btn btn-danger dialog-btn action-btn delete-dorm" data-dialog="delete-<?= $dorm->dorm_id ?>"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" width="14" height="14">
          <path stroke-linecap="round" stroke-linejoin="round" d="M14.74 9l-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 01-2.244 2.077H8.084a2.25 2.25 0 01-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 00-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 013.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 00-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 00-7.5 0" />
        </svg>
        Delete kos
      </button>
      <input type="hidden" name="dorm_id" value="<?= $dorm->dorm_id ?>" />
      <input type="hidden" name="_method" value="DELETE" />
      <div class="dialog-wrapper delete-<?= $dorm->dorm_id ?>">
        <div class="dialog-content">
          <h4 class="confirm-title">Apakah Anda yakin ingin menghapus kos?</h4>
          <div class="confirm-action">
            <button type="button" class="btn btn-outlined dialog-btn" data-dialog="delete-<?= $dorm->dorm_id ?>">Batal</button>
            <button type="submit" class="btn btn-danger">Hapus</button>
          </div>
        </div>
      </div>
    </form>
  <? endif; ?>

  <div class="reviews">
    <h1> Review Kos Ini</h1>
    <? if ($user && !$user->is_admin ?? false) : ?>
      <div class="add-review">
        <a href="/dorms/<?= $dorm->dorm_id ?>/add-review" class="btn btn-primary btn-add-review">
          <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3" stroke="currentColor" width="12" height="12" aria-hidden="true">
            <path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" />
          </svg>
          Tambahkan Review
        </a>
      </div>
    <? endif; ?>

    <ul class="review-list">
      <? foreach ($reviews as $review) : ?>
        <? $reviewer = User::findById($review->user_id); ?>
        <li class="review-item">
          <div class="review-item-content">
            <h3 class="review-item-name"><?= $reviewer->name; ?></h3>
            <p class="review-item-rate">
              <?
              $rating = $review->rate;
              $stars = str_repeat("★", $rating);
              $emptyStars = str_repeat("☆", 5 - $rating);
              echo $stars . $emptyStars;
              ?>
            </p>
            <p class="review-item-description"><?= $review->description ?></p>
          </div>
          <div class="review-actions">
            <? if (($user->is_admin ?? false) || ($user->user_id == $reviewer->user_id  ?? false)) : ?>
              <? if ($user->user_id == $reviewer->user_id ??  false) : ?>
                <a href="/reviews/<?= $review->review_id ?>" class="btn btn-outlined edit-review" data-dialog="add-owner-dialog"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" width="20" height="20">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M16.862 4.487l1.687-1.688a1.875 1.875 0 112.652 2.652L10.582 16.07a4.5 4.5 0 01-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 011.13-1.897l8.932-8.931zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0115.75 21H5.25A2.25 2.25 0 013 18.75V8.25A2.25 2.25 0 015.25 6H10" />
                  </svg>
                </a>
              <? endif ?>
              <form method="POST" action="/dorms/<?= $dorm->dorm_id ?>/delete-review">
                <button type="button" class="btn btn-danger dialog-btn action-btn" data-dialog="delete-<?= $review->review_id ?>"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" width="20" height="20">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M14.74 9l-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 01-2.244 2.077H8.084a2.25 2.25 0 01-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 00-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 013.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 00-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 00-7.5 0" />
                  </svg>
                </button>
                <input type="hidden" name="review_id" value="<?= $review->review_id ?>" />
                <input type="hidden" name="_method" value="DELETE" />
                <div class="dialog-wrapper delete-<?= $review->review_id ?>">
                  <div class="dialog-content">
                    <h4 class="confirm-title">Apakah anda yakin ingin menghapus review?</h4>
                    <div class="confirm-action">
                      <button type="button" class="btn btn-outlined dialog-btn" data-dialog="delete-<?= $review->review_id ?>">Batal</button>
                      <button type="submit" class="btn btn-danger">Hapus</button>
                    </div>
                  </div>
                </div>
              </form>
            <? endif; ?>
          </div>
        </li>
      <? endforeach; ?>
    </ul>

  </div>
</div>