@extends('layouts/base')
@@head
<link rel="stylesheet" href="/static/styles/home.css">
@@endhead
<section class="hero">
  <h1 class="hero-title">Mau cari kos?</h1>
  <p class="hero-desc">Dapatkan infonya dan langsung sewa di MyKos.
  </p>
  <?

  use app\Core\Request;

  if ($user->is_admin ?? false) : ?>
    <div class="cta-admin">
      <a href="/dorms/create" class="btn btn-primary">Tambah Kos</a>
    </div>
  <? endif; ?>
  <div class="inputs">
    <form class="search-wrapper">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" aria-hidden="true" stroke-width="1.5" stroke="currentColor" width="16" height="16">
        <path stroke-linecap="round" stroke-linejoin="round" d="M21 21l-5.197-5.197m0 0A7.5 7.5 0 105.196 5.196a7.5 7.5 0 0010.607 10.607z" />
      </svg>
      <input class="search-input" placeholder="Cari Kos" value="<?= Request::getQuery()["q"] ?? "" ?>" />
    </form>
    <div class="input-group">
      <label for="sort">Urutkan</label>
      <select name="sort" id="sort" class="sort-select">
        <option selected value="">Default</option>
        <option value="price ASC">Harga Terendah</option>
        <option value="price DESC">Harga Tertinggi</option>
        <option value="rate">Rating Tertinggi</option>
      </select>
    </div>
    <div class="input-group">
      <label for="city">Kota</label>
      <select name="city" id="city" class="city-select">
        <option selected value="">Semua</option>
        <? foreach ($cities as $city) : ?>
          <option value="<?= $city ?>"><?= $city ?></option>
        <? endforeach; ?>
      </select>
    </div>
    <div class="input-group">
      <label for="price">Harga</label>
      <select name="price" id="price" class="price-select">
        <option selected value="">Semua</option>
        <option value="price <= 1000000">Rp0 - Rp1.000.000</option>
        <option value="price >= 1000000 AND price <= 2000000">Rp1.000.000 - Rp2.000.000</option>
        <option value="price >= 2000000">>=Rp2.000.000</option>
      </select>
    </div>
  </div>
  <div class="dorm_list_container">
    <? include 'dorm/list.php' ?>
  </div>
</section>

<script src="/static/scripts/dorm-list.js"></script>