<!DOCTYPE html>
<html lang="id">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title><?= $__title ?></title>
  <meta name="description" content="Website untuk mencari kos-kosan terbaik" />
  <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
  <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
  <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
  <link rel="manifest" href="/site.webmanifest">
  <link rel="stylesheet" href="/static/styles/reset.css" />
  <link rel="stylesheet" href="/static/styles/main.css" />
  <link rel="preconnect" href="https://fonts.googleapis.com" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
  <link href="https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&display=swap" rel="stylesheet" />
  <?= $__head ?>
</head>

<body>
  <nav class="navbar_main">
    <div class="navbar">
      <div class="">
        <a class="navbar__logo" href="/">
          <img src="/favicon.png" alt="MyKos Logo" width="20" />MyKos</a>
      </div>
      <button class="nav_btn" aria-label="Open the menu" type="button">
        <svg width="28" height="28" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
          <path d="M20 7L4 7" stroke="#757575" stroke-width="1.5" stroke-linecap="round" />
          <path d="M20 12L4 12" stroke="#757575" stroke-width="1.5" stroke-linecap="round" />
          <path d="M20 17L4 17" stroke="#757575" stroke-width="1.5" stroke-linecap="round" />
        </svg>
      </button>
      <div class="nav_container">
        <button class="nav_btn_close" aria-label="Close the menu" type="button">
          <svg width="20" height="20" viewBox="-0.5 0 25 25" fill="none" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
            <path d="M3 21.32L21 3.32001" stroke="#757575" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
            <path d="M3 3.32001L21 21.32" stroke="#757575" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" />
          </svg>
        </button>
        <div class="nav_items">
          <? if ($user) : ?>
            <? if ($user->is_admin) : ?>
              <a href="/owners" class="nav_link">
                <svg aria-hidden="true" width="16" height="16" class="nav_link_icon" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" d="M9 12h3.75M9 15h3.75M9 18h3.75m3 .75H18a2.25 2.25 0 002.25-2.25V6.108c0-1.135-.845-2.098-1.976-2.192a48.424 48.424 0 00-1.123-.08m-5.801 0c-.065.21-.1.433-.1.664 0 .414.336.75.75.75h4.5a.75.75 0 00.75-.75 2.25 2.25 0 00-.1-.664m-5.8 0A2.251 2.251 0 0113.5 2.25H15c1.012 0 1.867.668 2.15 1.586m-5.8 0c-.376.023-.75.05-1.124.08C9.095 4.01 8.25 4.973 8.25 6.108V8.25m0 0H4.875c-.621 0-1.125.504-1.125 1.125v11.25c0 .621.504 1.125 1.125 1.125h9.75c.621 0 1.125-.504 1.125-1.125V9.375c0-.621-.504-1.125-1.125-1.125H8.25zM6.75 12h.008v.008H6.75V12zm0 3h.008v.008H6.75V15zm0 3h.008v.008H6.75V18z" />
                </svg>
                Pemilik
              </a>
            <? endif; ?>
            <? if (!$user->is_admin) : ?>
              <a href="/wishlist" class="nav_link">
                <svg aria-hidden="true" width="16" height="16" class="nav_link_icon" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor">
                  <path stroke-linecap="round" stroke-linejoin="round" d="M9 12h3.75M9 15h3.75M9 18h3.75m3 .75H18a2.25 2.25 0 002.25-2.25V6.108c0-1.135-.845-2.098-1.976-2.192a48.424 48.424 0 00-1.123-.08m-5.801 0c-.065.21-.1.433-.1.664 0 .414.336.75.75.75h4.5a.75.75 0 00.75-.75 2.25 2.25 0 00-.1-.664m-5.8 0A2.251 2.251 0 0113.5 2.25H15c1.012 0 1.867.668 2.15 1.586m-5.8 0c-.376.023-.75.05-1.124.08C9.095 4.01 8.25 4.973 8.25 6.108V8.25m0 0H4.875c-.621 0-1.125.504-1.125 1.125v11.25c0 .621.504 1.125 1.125 1.125h9.75c.621 0 1.125-.504 1.125-1.125V9.375c0-.621-.504-1.125-1.125-1.125H8.25zM6.75 12h.008v.008H6.75V12zm0 3h.008v.008H6.75V15zm0 3h.008v.008H6.75V18z" />
                </svg>
                Wishlist
              </a>
            <? endif; ?>
            <a href="/account/edit" class="nav_link">
              <svg aria-hidden="true" width="16" height="16" class="nav_link_icon" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="black">
                <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 6a3.75 3.75 0 11-7.5 0 3.75 3.75 0 017.5 0zM4.501 20.118a7.5 7.5 0 0114.998 0A17.933 17.933 0 0112 21.75c-2.676 0-5.216-.584-7.499-1.632z" />
              </svg>

              Akun</a>
            <a href="/logout" class="btn btn-danger">Keluar</a>
          <? else : ?>
            <a href="/login" class="btn btn-outlined">Masuk</a>
          <? endif; ?>
        </div>
      </div>
    </div>
  </nav>
  <main class="main-content">
    <?= $__content ?>
  </main>

  <? if (isset($toast)) : ?>
    <div class="toast toast-<?= $toast["type"] ?>">
      <? if ($toast["type"] === "success") : ?>
        <svg viewBox="0 0 24 24" width="24" height="24" fill="var(--color-primary)">
          <path d="M12 0a12 12 0 1012 12A12.014 12.014 0 0012 0zm6.927 8.2l-6.845 9.289a1.011 1.011 0 01-1.43.188l-4.888-3.908a1 1 0 111.25-1.562l4.076 3.261 6.227-8.451a1 1 0 111.61 1.183z">
          </path>
        </svg>
      <? elseif ($toast["type"] === "error") : ?>
        <svg viewBox="0 0 24 24" width="24" height="24" fill="var(--color-danger)">
          <path d="M11.983 0a12.206 12.206 0 00-8.51 3.653A11.8 11.8 0 000 12.207 11.779 11.779 0 0011.8 24h.214A12.111 12.111 0 0024 11.791 11.766 11.766 0 0011.983 0zM10.5 16.542a1.476 1.476 0 011.449-1.53h.027a1.527 1.527 0 011.523 1.47 1.475 1.475 0 01-1.449 1.53h-.027a1.529 1.529 0 01-1.523-1.47zM11 12.5v-6a1 1 0 012 0v6a1 1 0 11-2 0z">
          </path>
        </svg>
      <? endif; ?>
      <span>
        <?= $toast["message"] ?>
      </span>
      <span class="toast-progress"></span>
      <button class="toast-close">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" width="12" height="12" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor">
          <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12" />
        </svg>
      </button>
    </div>
  <? endif ?>

  <script src="/static/scripts/request.js"></script>
  <script src="/static/scripts/index.js"></script>
</body>

</html>