@extends('layouts/base')
@@head
<link rel="stylesheet" href="/static/styles/owner.css" />
@@endhead
<div class="owner-container">
  <div class="add-wrapper">
    <button class="btn btn-primary add-owner dialog-btn" data-dialog="add-owner-dialog">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="3" stroke="currentColor"
        width="16" height="16" aria-hidden="true">
        <path stroke-linecap="round" stroke-linejoin="round" d="M12 4.5v15m7.5-7.5h-15" />
      </svg>
      Tambah Pemilik
    </button>
  </div>
  <div class="table-container">
    <table>
      <thead>
        <tr>
          <th>ID</th>
          <th>Nama</th>
          <th>No Telepon</th>
          <th>Aksi</th>
        </tr>
      </thead>

      <tbody>
        <?php
        foreach ($owners as $owner) : ?>
        <tr>
          <td><?= $owner->owner_id ?></td>
          <td><?= $owner->name ?></td>
          <td><?= $owner->phone_number ?></td>
          <td class="action">
            <button type="button" class="btn btn-outlined dialog-btn edit-owner action-btn"
              data-dialog="add-owner-dialog"><svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none"
                viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" width="20" height="20">
                <path stroke-linecap="round" stroke-linejoin="round"
                  d="M16.862 4.487l1.687-1.688a1.875 1.875 0 112.652 2.652L10.582 16.07a4.5 4.5 0 01-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 011.13-1.897l8.932-8.931zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0115.75 21H5.25A2.25 2.25 0 013 18.75V8.25A2.25 2.25 0 015.25 6H10" />
              </svg>
              <span class="sr-only">Tambah pemilik</span>
            </button>
            <form method="POST">
              <button type="button" class="btn btn-danger dialog-btn action-btn"
                data-dialog="delete-<?= $owner->owner_id ?>"><svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                  fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" width="20" height="20">
                  <path stroke-linecap="round" stroke-linejoin="round"
                    d="M14.74 9l-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 01-2.244 2.077H8.084a2.25 2.25 0 01-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 00-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 013.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 00-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 00-7.5 0" />
                </svg>
                <span class="sr-only">Hapus pemilik</span>
              </button>
              <input type="hidden" name="owner_id" value="<?= $owner->owner_id ?>" />
              <input type="hidden" name="_method" value="DELETE" />
              <div class="dialog-wrapper delete-<?= $owner->owner_id ?>">
                <div class="dialog-content">
                  <h4 class="confirm-title">
                    Apakah anda yakin ingin menghapus pemilik <?= $owner->name ?>?
                  </h4>
                  <div class="confirm-action">
                    <button type="button" class="btn btn-outlined dialog-btn"
                      data-dialog="delete-<?= $owner->owner_id ?>">Batal</button>
                    <button type="submit" class="btn btn-danger">Hapus</button>
                  </div>
                </div>
              </div>
            </form>
          </td>
        </tr>
        <?php endforeach; ?>
      </tbody>
    </table>
  </div>
</div>
<?

use app\Core\Request;

?>
<div
  class="add-owner-dialog dialog-wrapper<?= (Request::getMethod() === "POST" || Request::getMethod() === "PUT") ? " open" : "" ?>">
  <div class="dialog-content">
    <form method="POST" novalidate class="form-owner">
      <h4 class="form-title">
        <?= isset($editId) ? "Ubah" : "Tambah" ?> Pemilik</h4>
      <div class="input-group">
        <label for="name">Nama</label>
        <input name="name" autofocus placeholder="Nama" value="<?= $fields["name"] ?? '' ?>" />
        <?php
        if (isset($errors) && array_key_exists('name', $errors)) {
          echo '<div class="error">' . $errors["name"] . '</div>';
        }
        ?>
      </div>
      <div class="input-group">
        <label for="phone_number">No Telepon</label>
        <input name="phone_number" type="tel" placeholder="No Telepon" value="<?= $fields["phone_number"] ?? '' ?>" />
        <?php
        if (isset($errors) && array_key_exists('phone_number', $errors)) {
          echo '<div class="error">' . $errors["phone_number"] . '</div>';
        }
        ?>
      </div>
      <button class="btn btn-primary">
        <?= isset($editId) ? "Ubah" : "Tambah" ?>
      </button>
      <? if (isset($editId)) : ?>
      <input type="hidden" name="owner_id" value="<?= $editId ?>" />
      <? endif; ?>
    </form>
  </div>
</div>


<script src="/static/scripts/owner.js"></script>