@extends('layouts/base')
@@head
<link rel="stylesheet" href="/static/styles/create-dorm.css">
@@endhead
<div>
  <h1>Edit Profil</h1>
  <form method="POST" novalidate class="create-form" id="editProfile">
    <div class="input-group">
      <label for="name" class="required">Nama</label>
      <input name="name" autofocus placeholder="Nama" value="<?= $fields["name"] ?? '' ?>" />
      <?php
      if (isset($errors) && array_key_exists('name', $errors)) {
        echo '<div class="error">' . $errors["name"] . '</div>';
      }
      ?>
    </div>
    <div class="input-group">
      <label for="email" class="required">Email</label>
      <input name="email" placeholder="Email" value="<?= $fields["email"] ?? '' ?>" />
      <?php
      if (isset($errors) && array_key_exists('email', $errors)) {
        echo '<div class="error">' . $errors["email"] . '</div>';
      }
      ?>
    </div>
    <div class="input-group">
        <label for="phone_number">No Telepon</label>
        <input name="phone_number" type="tel" placeholder="No Telepon" value="<?= $fields["phone_number"] ?? '' ?>"  />
        <?php
        if (isset($errors) && array_key_exists('phone_number', $errors)) {
            echo '<div class="error">' . $errors["phone_number"] . '</div>';
        }
        ?>
    </div>
    <button type="button" class="btn btn-primary dialog-btn action-btn" data-dialog="change-profile">
        Edit Profil
    </button>
    <div class="dialog-wrapper change-profile">
      <div class="dialog-content">
        <h4 class="confirm-title">
          Apakah Anda yakin ingin mengubah profil?
        </h4>
        <div class="confirm-action">
          <button type="button" class="btn btn-outlined dialog-btn"
            data-dialog="change-profile">Batal</button>
          <button type="submit" class="btn btn-danger">Ubah</button>
        </div>
      </div>
    </div>
    <!-- <script>
    document.getElementById('editProfile').addEventListener('submit', function (event) {
        // Display a confirmation dialog
        if (!window.confirm('Apakah Anda yakin ingin mengubah profil?')) {
            event.preventDefault(); // Prevent form submission if the user clicks "Cancel"
        }
    });
    </script> -->
  </form>
</div>

<div>
  <h1>Ubah Password</h1>
  <form method="POST" novalidate class="create-form" action="editPassword" id="editPassword">
  <div class="input-group">
    <label for="password" class="required">Password Lama</label>
    <input name="password" type="password" placeholder="Password Lama" value="<?= $fields["password"] ?? '' ?>" />
    <?php
        if (isset($errors) && array_key_exists('password', $errors)) {
            echo '<div class="error">' . $errors["password"] . '</div>';
        }
    ?>
  </div>
    <div class="input-group">

        <label for="password1" class="required">Password Baru</label>
        <input name="password1" type="password" placeholder="Password Baru" value="<?= $fields["password1"] ?? '' ?>"/>
        <?php
        if (array_key_exists('password1', $errors)) {
            echo '<div class="error">' . $errors["password1"] . '</div>';
        }
        ?>
    </div>
    <div class="input-group">
        <label for="password2" class="required">Konfirmasi Password Baru</label>
        <input name="password2" type="password" placeholder="Konfirmasi Password Baru" value="<?= $fields["password2"] ?? '' ?>"/>
        <?php
        if (array_key_exists('password2', $errors)) {
            echo '<div class="error">' . $errors["password2"] . '</div>';
        }
        ?>
    </div>
    <button type="button" class="btn btn-primary dialog-btn action-btn" data-dialog="change-password">
        Ubah Password
    </button>
    <div class="dialog-wrapper change-password">
      <div class="dialog-content">
        <h4 class="confirm-title">
          Apakah Anda yakin ingin mengubah password?
        </h4>
        <div class="confirm-action">
          <button type="button" class="btn btn-outlined dialog-btn"
            data-dialog="change-password">Batal</button>
          <button type="submit" class="btn btn-danger">Ubah</button>
        </div>
      </div>
    </div>
    <!-- <script>
    document.getElementById('editPassword').addEventListener('submit', function (event) {
        // Display a confirmation dialog
        if (!window.confirm('Apakah Anda yakin ingin mengubah password?')) {
            event.preventDefault(); // Prevent form submission if the user clicks "Cancel"
        }
    });
    </script> -->
  </form>
</div>