@extends('layouts/base')
@@head
<link rel="stylesheet" href="/static/styles/home.css">
@@endhead


<h1 class="hero-title">Wishlist</h1>
<ul class="dorm_list">
  <?
  foreach ($dorms as $dorm) : ?>
    <li class="dorm_item">
      <a href="/dorms/<?= $dorm->dorm_id ?>">
        <? $media = array_key_exists($dorm->dorm_id, $medias) ? $medias[$dorm->dorm_id] : null ?>
        <? if ($media) : ?>
          <img class="dorm_image" src="<?= $media->endpoint ?>" alt="<?= $media->alt_text ?>" />
        <? else : ?>
          <div class="dorm_image"></div>
        <? endif; ?>
        <div class="dorm_item__content">
          <h3 class="dorm_item__title line-clamp-1"><?= $dorm->name ?></h3>
          <p class="dorm_item__city"><?= $dorm->city ?></p>
          <p class="dorm_item__price">Rp<?= number_format($dorm->price, 0, ',', '.') ?>
            <span> / bulan</span>
          </p>
        </div>
      </a>
      <form method="POST">
        <button type="button" class="btn btn-danger dialog-btn action-btn" data-dialog="delete-<?= $dorm->dorm_id ?>"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" width="20" height="20" aria-label="Hapus">
            <path stroke-linecap="round" stroke-linejoin="round" d="M14.74 9l-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 01-2.244 2.077H8.084a2.25 2.25 0 01-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 00-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 013.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 00-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 00-7.5 0" />
          </svg>
        </button>
        <input type="hidden" name="dorm_id" value="<?= $dorm->dorm_id ?>" />
        <input type="hidden" name="_method" value="DELETE" />
        <div class="dialog-wrapper delete-<?= $dorm->dorm_id ?>">
          <div class="dialog-content">
            <h4 class="confirm-title">Apakah Anda yakin ingin menghapus kos ini dari wishlist Anda?</h4>
            <div class="confirm-action">
              <button type="button" class="btn btn-outlined dialog-btn" data-dialog="delete-<?= $dorm->dorm_id ?>">Batal</button>
              <button type="submit" class="btn btn-danger">Hapus</button>
            </div>
          </div>
        </div>
      </form>
    </li>
  <? endforeach; ?>
</ul>