<?php


if (!defined('AUTOLOAD')) {
  define("AUTOLOAD", true);
  spl_autoload_register(function (string $classname) {
    $parts = explode('\\', $classname);


    $namespace = array_shift($parts);
    $classfile = array_pop($parts) . '.php';

    if ($namespace !== 'app') {
      return;
    }

    $path = implode(DIRECTORY_SEPARATOR, $parts);
    $file = __DIR__ . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR . $path . DIRECTORY_SEPARATOR . $classfile;
    if (!file_exists($file) && !class_exists($classname)) {
      return;
    }

    require_once $file;
  });
}

use app\Core\Application;

$uri = $_SERVER['REQUEST_URI'];
session_start();

$app = new Application();
$app->run();
