const dormListContainer = document.querySelector(".dorm_list_container");
function initializeList() {
  const paginations = dormListContainer.querySelectorAll(
    "button.pagination_item"
  );

  paginations.forEach((pagination) => {
    pagination.addEventListener("click", (e) => {
      e.preventDefault();
      const page = pagination.getAttribute("data-page");
      changeParam("page", page);
    });
  });
}

const searchForm = document.querySelector(".search-wrapper");
searchForm.addEventListener("submit", (e) => {
  e.preventDefault();
  const search = searchBar.value;
  changeParam("q", search);
});

const searchBar = document.querySelector(".search-input");
const debounceSearch = debounce((e) => {
  const search = e.target.value;
  changeParam("q", search);
}, 1000);
searchBar.addEventListener("input", debounceSearch);

const sortSelect = document.querySelector(".sort-select");
console.log(sortSelect);
sortSelect.addEventListener("change", (e) => {
  const sort = e.target.value;
  changeParam("sort", sort);
});

const citySelect = document.querySelector(".city-select");

citySelect.addEventListener("change", (e) => {
  const city = e.target.value;
  changeParam("city", city);
});

const priceSelect = document.querySelector(".price-select");

priceSelect.addEventListener("change", (e) => {
  const price = e.target.value;
  changeParam("price", price);
});
async function requestPage(searchParams) {
  const element = await request("/?" + searchParams.toString(), "GET");
  dormListContainer.innerHTML = element;
  initializeList();
}

function changeParam(paramName, value) {
  const url = new URL(window.location);
  const searchParams = url.searchParams;
  if (paramName !== "page") {
    searchParams.delete("page");
  }
  if (!value) {
    searchParams.delete(paramName);
  } else {
    searchParams.set(paramName, value);
  }
  window.history.replaceState({}, "", url);
  searchParams.set("list-only", "1");
  requestPage(searchParams);
}

function debounce(func, wait) {
  let timeout;
  return function executedFunction(...args) {
    const later = () => {
      clearTimeout(timeout);
      func(...args);
    };
    clearTimeout(timeout);
    timeout = setTimeout(later, wait);
  };
}

window.addEventListener("load", initializeList);
