request("/", "GET");

const navButtonOpen = document.querySelector(".nav_btn");
const navButtonClose = document.querySelector(".nav_btn_close");
const navContainer = document.querySelector(".nav_container");

navContainer.classList.add("transition");

navButtonOpen.addEventListener("click", () => {
  navContainer.classList.add("open");
});

navButtonClose.addEventListener("click", () => {
  navContainer.classList.remove("open");
});

const dialogButtons = document.querySelectorAll(".dialog-btn");
dialogButtons.forEach((dialogButton) => {
  dialogButton.addEventListener("click", () => {
    const dialog = document.getElementsByClassName(
      dialogButton.getAttribute("data-dialog")
    )[0];
    if (dialog) dialog.classList.toggle("open");
  });
});

const dialogWrappers = document.querySelectorAll(".dialog-wrapper");

dialogWrappers.forEach((dialogWrapper) => {
  dialogWrapper.addEventListener("click", (e) => {
    if (e.target.classList.contains("dialog-wrapper")) {
      dialogWrapper.classList.toggle("open");
    }
  });
});

window.addEventListener("load", () => {
  const toasts = document.querySelectorAll(".toast");
  toasts.forEach((toast) => {
    const close = toast.querySelector(".toast-close");
    close.addEventListener("click", () => {
      toast.classList.remove("loaded");
    });
    toast.classList.add("loaded");
    setTimeout(() => {
      toast.classList.remove("loaded");
    }, 5000);
  });
});

const slidesWrappers = document.querySelectorAll(".slider-wrapper");
slidesWrappers.forEach((slideWrapper) => {
  const slidesContainer = slideWrapper.querySelector(".slides-container");
  const slide = slidesContainer.querySelector(".slide");
  const prevButton = slideWrapper.querySelector(".slide-arrow-prev");
  const nextButton = slideWrapper.querySelector(".slide-arrow-next");
  nextButton.addEventListener("click", (event) => {
    const slideWidth = slide.clientWidth;
    slidesContainer.scrollLeft += slideWidth;
  });
  prevButton.addEventListener("click", () => {
    const slideWidth = slide.clientWidth;
    slidesContainer.scrollLeft -= slideWidth;
  });
});
